package com.ruoyi.contractInfo.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同信息存储对象 com_contract_info_exchange
 * 
 * @author yanxun
 * @date 2023-08-10
 */
public class ComContractInfoExchange extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键.主键，自增 */
    private Long id;

    /** 备注. */
    @Excel(name = "备注.")
    private String bz;

    /** 编号. */
    @Excel(name = "编号.")
    private String bh;

    /** 部门（合同付款）. */
    @Excel(name = "部门", readConverterExp = "合=同付款")
    private String bm;

    /** 产品型号. */
    @Excel(name = "产品型号.")
    private String cpxh;

    /** 待付款（元）. */
    @Excel(name = "待付款", readConverterExp = "元=")
    private BigDecimal dfk;

    /** 待开票（元）. */
    @Excel(name = "待开票", readConverterExp = "元=")
    private BigDecimal dkp;

    /** 到款（元）. */
    @Excel(name = "到款", readConverterExp = "元=")
    private BigDecimal dk;

    /** 到款日期/汇票到期日期. */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到款日期/汇票到期日期.", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dkhpdqrq;

    /** 电话. */
    @Excel(name = "电话.")
    private String dh;

    /** 发票编号（sn）. */
    @Excel(name = "发票编号", readConverterExp = "s=n")
    private String fpbh;

    /** 发票编码. */
    @Excel(name = "发票编码.")
    private String fpbm;

    /** 发票开具额. */
    @Excel(name = "发票开具额.")
    private BigDecimal fpkje;

    /** 发票类型. */
    @Excel(name = "发票类型.")
    private String fplx;

    /** 发票内容. */
    @Excel(name = "发票内容.")
    private String fpnr;

    /** 付款方名称. */
    @Excel(name = "付款方名称.")
    private String fkfmc;

    /** 更新时间. */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间.", width = 30, dateFormat = "yyyy-MM-dd")
    private Date gxsj;

    /** 归档编号. */
    @Excel(name = "归档编号.")
    private String gdbh;

    /** 归档日期. */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "归档日期.", width = 30, dateFormat = "yyyy-MM-dd")
    private Date gdrq;

    /** 合同编号. */
    @Excel(name = "合同编号.")
    private String htbh;

    /** 合同发票接收邮箱地址. */
    @Excel(name = "合同发票接收邮箱地址.")
    private String htfpjsyxdz;

    /** 合同分配额. */
    @Excel(name = "合同分配额.")
    private BigDecimal htfpe;

    /** 合同金额. */
    @Excel(name = "合同金额.")
    private BigDecimal htje;

    /** 合同款状态. */
    @Excel(name = "合同款状态.")
    private String htkzt;

    /** 合同类型. */
    @Excel(name = "合同类型.")
    private String htlx;

    /** 合同履行情况. */
    @Excel(name = "合同履行情况.")
    private String htlxqk;

    /** 合同密级. */
    @Excel(name = "合同密级.")
    private String htmj;

    /** 合同名称. */
    @Excel(name = "合同名称.")
    private String htmc;

    /** 合同起草人. */
    @Excel(name = "合同起草人.")
    private String htqcr;

    /** 合同签订日期. */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合同签订日期.", width = 30, dateFormat = "yyyy-MM-dd")
    private Date htqdrq;

    /** 合同任务id. */
    @Excel(name = "合同任务id.")
    private String htrwid;

    /** 合同数量. */
    @Excel(name = "合同数量.")
    private Long htsl;

    /** 合同页数. */
    @Excel(name = "合同页数.")
    private Long htys;

    /** 合同主管部门. */
    @Excel(name = "合同主管部门.")
    private String htzgbm;

    /** 合同状态. */
    @Excel(name = "合同状态.")
    private String htzt;

    /** 合同状态说明. */
    @Excel(name = "合同状态说明.")
    private String htztsm;

    /** 甲方（付款方）. */
    @Excel(name = "甲方", readConverterExp = "付=款方")
    private String jf;

    /** 甲方简称、用户简称. */
    @Excel(name = "甲方简称、用户简称.")
    private String jfyhjc;

    /** 甲方签约人. */
    @Excel(name = "甲方签约人.")
    private String jfqyr;

    /** 阶段. */
    @Excel(name = "阶段.")
    private String jd;

    /** 金额（元）、收款总金额、开票金额. */
    @Excel(name = "金额", readConverterExp = "元=")
    private BigDecimal jeskzkp;

    /** 开户行. */
    @Excel(name = "开户行.")
    private String khx;

    /** 开票时间. */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开票时间.", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kpsj;

    /** 开票状态. */
    @Excel(name = "开票状态.")
    private String kpzt;

    /** 客户id. */
    @Excel(name = "客户id.")
    private String khid;

    /** 客户流程编号. */
    @Excel(name = "客户流程编号.")
    private String khlcbh;

    /** 联系人（对方）. */
    @Excel(name = "联系人", readConverterExp = "对=方")
    private String lxr;

    /** 录入人、申请人. */
    @Excel(name = "录入人、申请人.")
    private String lrsqr;

    /** 凭证号. */
    @Excel(name = "凭证号.")
    private String pzh;

    /** 起草日期、录入日期、申请日期. */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "起草日期、录入日期、申请日期.", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qclrsqrq;

    /** 签署日期. */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签署日期.", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qsrq;

    /** 确认外协. */
    @Excel(name = "确认外协.")
    private String qrwx;

    /** 任务编号. */
    @Excel(name = "任务编号.")
    private String rwbh;

    /** 任务名称. */
    @Excel(name = "任务名称.")
    private String rwmc;

    /** 任务收款金额. */
    @Excel(name = "任务收款金额.")
    private BigDecimal rwskje;

    /** 申请人部门. */
    @Excel(name = "申请人部门.")
    private String sqrbm;

    /** 收款编号（sn）. */
    @Excel(name = "收款编号", readConverterExp = "s=n")
    private String skbh;

    /** 收款科目代码. */
    @Excel(name = "收款科目代码.")
    private String skkmdm;

    /** 收款类型. */
    @Excel(name = "收款类型.")
    private String sklx;

    /** 数据来源：10：合同管理，20：合同任务，30：任务合同，40：合同付款，50：合同发票，60：外协合同. */
    @Excel(name = "数据来源：10：合同管理，20：合同任务，30：任务合同，40：合同付款，50：合同发票，60：外协合同.")
    private Long sjly;

    /** 数量（合同付款）. */
    @Excel(name = "数量", readConverterExp = "合=同付款")
    private Long sl;

    /** 税号. */
    @Excel(name = "税号.")
    private String sh;

    /** 所属型号. */
    @Excel(name = "所属型号.")
    private String ssxh;

    /** 外协单号（sn）. */
    @Excel(name = "外协单号", readConverterExp = "s=n")
    private String wxdh;

    /** 外协合同编号. */
    @Excel(name = "外协合同编号.")
    private String wxhtbh;

    /** 外协类型. */
    @Excel(name = "外协类型.")
    private String wxlx;

    /** 项目密级. */
    @Excel(name = "项目密级.")
    private String xmmj;

    /** 发票需求时间. */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发票需求时间.", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fpxqsj;

    /** 序号. */
    @Excel(name = "序号.")
    private String xh;

    /** 研制部门. */
    @Excel(name = "研制部门.")
    private String yzbm;

    /** 业务员. */
    @Excel(name = "业务员.")
    private String ywy;

    /** 业务员部门. */
    @Excel(name = "业务员部门.")
    private String ywybm;

    /** 乙方（收款方）. */
    @Excel(name = "乙方", readConverterExp = "收=款方")
    private String yf;

    /** 乙方签约人. */
    @Excel(name = "乙方签约人.")
    private String yfqyr;

    /** 已开票（元）. */
    @Excel(name = "已开票", readConverterExp = "元=")
    private BigDecimal ykp;

    /** 已收款. */
    @Excel(name = "已收款.")
    private BigDecimal ysk;

    /** 用户id. */
    @Excel(name = "用户id.")
    private String yhid;

    /** 用户简称. */
    @Excel(name = "用户简称.")
    private String yhjc;

    /** 用户名称. */
    @Excel(name = "用户名称.")
    private String yhmc;

    /** 账号. */
    @Excel(name = "账号.")
    private String zh;

    /** 执行状态（status）. */
    @Excel(name = "执行状态", readConverterExp = "s=tatus")
    private String zxzt;

    /** 主管设计师. */
    @Excel(name = "主管设计师.")
    private String zgsjs;

    /** 抓总部门. */
    @Excel(name = "抓总部门.")
    private String zzbm;

    /** 自筹（元）. */
    @Excel(name = "自筹", readConverterExp = "元=")
    private BigDecimal zc;

    /** 类型（无用）. */
    @Excel(name = "类型", readConverterExp = "无=用")
    private String pici;

    /** 作废发票申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作废发票申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sqsj;

    /** 作废单号 */
    @Excel(name = "作废单号")
    private String zfdh;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBz(String bz) 
    {
        this.bz = bz;
    }

    public String getBz() 
    {
        return bz;
    }
    public void setBh(String bh) 
    {
        this.bh = bh;
    }

    public String getBh() 
    {
        return bh;
    }
    public void setBm(String bm) 
    {
        this.bm = bm;
    }

    public String getBm() 
    {
        return bm;
    }
    public void setCpxh(String cpxh) 
    {
        this.cpxh = cpxh;
    }

    public String getCpxh() 
    {
        return cpxh;
    }
    public void setDfk(BigDecimal dfk) 
    {
        this.dfk = dfk;
    }

    public BigDecimal getDfk() 
    {
        return dfk;
    }
    public void setDkp(BigDecimal dkp) 
    {
        this.dkp = dkp;
    }

    public BigDecimal getDkp() 
    {
        return dkp;
    }
    public void setDk(BigDecimal dk) 
    {
        this.dk = dk;
    }

    public BigDecimal getDk() 
    {
        return dk;
    }
    public void setDkhpdqrq(Date dkhpdqrq) 
    {
        this.dkhpdqrq = dkhpdqrq;
    }

    public Date getDkhpdqrq() 
    {
        return dkhpdqrq;
    }
    public void setDh(String dh) 
    {
        this.dh = dh;
    }

    public String getDh() 
    {
        return dh;
    }
    public void setFpbh(String fpbh) 
    {
        this.fpbh = fpbh;
    }

    public String getFpbh() 
    {
        return fpbh;
    }
    public void setFpbm(String fpbm) 
    {
        this.fpbm = fpbm;
    }

    public String getFpbm() 
    {
        return fpbm;
    }
    public void setFpkje(BigDecimal fpkje) 
    {
        this.fpkje = fpkje;
    }

    public BigDecimal getFpkje() 
    {
        return fpkje;
    }
    public void setFplx(String fplx) 
    {
        this.fplx = fplx;
    }

    public String getFplx() 
    {
        return fplx;
    }
    public void setFpnr(String fpnr) 
    {
        this.fpnr = fpnr;
    }

    public String getFpnr() 
    {
        return fpnr;
    }
    public void setFkfmc(String fkfmc) 
    {
        this.fkfmc = fkfmc;
    }

    public String getFkfmc() 
    {
        return fkfmc;
    }
    public void setGxsj(Date gxsj) 
    {
        this.gxsj = gxsj;
    }

    public Date getGxsj() 
    {
        return gxsj;
    }
    public void setGdbh(String gdbh) 
    {
        this.gdbh = gdbh;
    }

    public String getGdbh() 
    {
        return gdbh;
    }
    public void setGdrq(Date gdrq) 
    {
        this.gdrq = gdrq;
    }

    public Date getGdrq() 
    {
        return gdrq;
    }
    public void setHtbh(String htbh) 
    {
        this.htbh = htbh;
    }

    public String getHtbh() 
    {
        return htbh;
    }
    public void setHtfpjsyxdz(String htfpjsyxdz) 
    {
        this.htfpjsyxdz = htfpjsyxdz;
    }

    public String getHtfpjsyxdz() 
    {
        return htfpjsyxdz;
    }
    public void setHtfpe(BigDecimal htfpe) 
    {
        this.htfpe = htfpe;
    }

    public BigDecimal getHtfpe() 
    {
        return htfpe;
    }
    public void setHtje(BigDecimal htje) 
    {
        this.htje = htje;
    }

    public BigDecimal getHtje() 
    {
        return htje;
    }
    public void setHtkzt(String htkzt) 
    {
        this.htkzt = htkzt;
    }

    public String getHtkzt() 
    {
        return htkzt;
    }
    public void setHtlx(String htlx) 
    {
        this.htlx = htlx;
    }

    public String getHtlx() 
    {
        return htlx;
    }
    public void setHtlxqk(String htlxqk) 
    {
        this.htlxqk = htlxqk;
    }

    public String getHtlxqk() 
    {
        return htlxqk;
    }
    public void setHtmj(String htmj) 
    {
        this.htmj = htmj;
    }

    public String getHtmj() 
    {
        return htmj;
    }
    public void setHtmc(String htmc) 
    {
        this.htmc = htmc;
    }

    public String getHtmc() 
    {
        return htmc;
    }
    public void setHtqcr(String htqcr) 
    {
        this.htqcr = htqcr;
    }

    public String getHtqcr() 
    {
        return htqcr;
    }
    public void setHtqdrq(Date htqdrq) 
    {
        this.htqdrq = htqdrq;
    }

    public Date getHtqdrq() 
    {
        return htqdrq;
    }
    public void setHtrwid(String htrwid) 
    {
        this.htrwid = htrwid;
    }

    public String getHtrwid() 
    {
        return htrwid;
    }
    public void setHtsl(Long htsl) 
    {
        this.htsl = htsl;
    }

    public Long getHtsl() 
    {
        return htsl;
    }
    public void setHtys(Long htys) 
    {
        this.htys = htys;
    }

    public Long getHtys() 
    {
        return htys;
    }
    public void setHtzgbm(String htzgbm) 
    {
        this.htzgbm = htzgbm;
    }

    public String getHtzgbm() 
    {
        return htzgbm;
    }
    public void setHtzt(String htzt) 
    {
        this.htzt = htzt;
    }

    public String getHtzt() 
    {
        return htzt;
    }
    public void setHtztsm(String htztsm) 
    {
        this.htztsm = htztsm;
    }

    public String getHtztsm() 
    {
        return htztsm;
    }
    public void setJf(String jf) 
    {
        this.jf = jf;
    }

    public String getJf() 
    {
        return jf;
    }
    public void setJfyhjc(String jfyhjc) 
    {
        this.jfyhjc = jfyhjc;
    }

    public String getJfyhjc() 
    {
        return jfyhjc;
    }
    public void setJfqyr(String jfqyr) 
    {
        this.jfqyr = jfqyr;
    }

    public String getJfqyr() 
    {
        return jfqyr;
    }
    public void setJd(String jd) 
    {
        this.jd = jd;
    }

    public String getJd() 
    {
        return jd;
    }
    public void setJeskzkp(BigDecimal jeskzkp) 
    {
        this.jeskzkp = jeskzkp;
    }

    public BigDecimal getJeskzkp() 
    {
        return jeskzkp;
    }
    public void setKhx(String khx) 
    {
        this.khx = khx;
    }

    public String getKhx() 
    {
        return khx;
    }
    public void setKpsj(Date kpsj) 
    {
        this.kpsj = kpsj;
    }

    public Date getKpsj() 
    {
        return kpsj;
    }
    public void setKpzt(String kpzt) 
    {
        this.kpzt = kpzt;
    }

    public String getKpzt() 
    {
        return kpzt;
    }
    public void setKhid(String khid) 
    {
        this.khid = khid;
    }

    public String getKhid() 
    {
        return khid;
    }
    public void setKhlcbh(String khlcbh) 
    {
        this.khlcbh = khlcbh;
    }

    public String getKhlcbh() 
    {
        return khlcbh;
    }
    public void setLxr(String lxr) 
    {
        this.lxr = lxr;
    }

    public String getLxr() 
    {
        return lxr;
    }
    public void setLrsqr(String lrsqr) 
    {
        this.lrsqr = lrsqr;
    }

    public String getLrsqr() 
    {
        return lrsqr;
    }
    public void setPzh(String pzh) 
    {
        this.pzh = pzh;
    }

    public String getPzh() 
    {
        return pzh;
    }
    public void setQclrsqrq(Date qclrsqrq) 
    {
        this.qclrsqrq = qclrsqrq;
    }

    public Date getQclrsqrq() 
    {
        return qclrsqrq;
    }
    public void setQsrq(Date qsrq) 
    {
        this.qsrq = qsrq;
    }

    public Date getQsrq() 
    {
        return qsrq;
    }
    public void setQrwx(String qrwx) 
    {
        this.qrwx = qrwx;
    }

    public String getQrwx() 
    {
        return qrwx;
    }
    public void setRwbh(String rwbh) 
    {
        this.rwbh = rwbh;
    }

    public String getRwbh() 
    {
        return rwbh;
    }
    public void setRwmc(String rwmc) 
    {
        this.rwmc = rwmc;
    }

    public String getRwmc() 
    {
        return rwmc;
    }
    public void setRwskje(BigDecimal rwskje) 
    {
        this.rwskje = rwskje;
    }

    public BigDecimal getRwskje() 
    {
        return rwskje;
    }
    public void setSqrbm(String sqrbm) 
    {
        this.sqrbm = sqrbm;
    }

    public String getSqrbm() 
    {
        return sqrbm;
    }
    public void setSkbh(String skbh) 
    {
        this.skbh = skbh;
    }

    public String getSkbh() 
    {
        return skbh;
    }
    public void setSkkmdm(String skkmdm) 
    {
        this.skkmdm = skkmdm;
    }

    public String getSkkmdm() 
    {
        return skkmdm;
    }
    public void setSklx(String sklx) 
    {
        this.sklx = sklx;
    }

    public String getSklx() 
    {
        return sklx;
    }
    public void setSjly(Long sjly) 
    {
        this.sjly = sjly;
    }

    public Long getSjly() 
    {
        return sjly;
    }
    public void setSl(Long sl) 
    {
        this.sl = sl;
    }

    public Long getSl() 
    {
        return sl;
    }
    public void setSh(String sh) 
    {
        this.sh = sh;
    }

    public String getSh() 
    {
        return sh;
    }
    public void setSsxh(String ssxh) 
    {
        this.ssxh = ssxh;
    }

    public String getSsxh() 
    {
        return ssxh;
    }
    public void setWxdh(String wxdh) 
    {
        this.wxdh = wxdh;
    }

    public String getWxdh() 
    {
        return wxdh;
    }
    public void setWxhtbh(String wxhtbh) 
    {
        this.wxhtbh = wxhtbh;
    }

    public String getWxhtbh() 
    {
        return wxhtbh;
    }
    public void setWxlx(String wxlx) 
    {
        this.wxlx = wxlx;
    }

    public String getWxlx() 
    {
        return wxlx;
    }
    public void setXmmj(String xmmj) 
    {
        this.xmmj = xmmj;
    }

    public String getXmmj() 
    {
        return xmmj;
    }
    public void setFpxqsj(Date fpxqsj) 
    {
        this.fpxqsj = fpxqsj;
    }

    public Date getFpxqsj() 
    {
        return fpxqsj;
    }
    public void setXh(String xh) 
    {
        this.xh = xh;
    }

    public String getXh() 
    {
        return xh;
    }
    public void setYzbm(String yzbm) 
    {
        this.yzbm = yzbm;
    }

    public String getYzbm() 
    {
        return yzbm;
    }
    public void setYwy(String ywy) 
    {
        this.ywy = ywy;
    }

    public String getYwy() 
    {
        return ywy;
    }
    public void setYwybm(String ywybm) 
    {
        this.ywybm = ywybm;
    }

    public String getYwybm() 
    {
        return ywybm;
    }
    public void setYf(String yf) 
    {
        this.yf = yf;
    }

    public String getYf() 
    {
        return yf;
    }
    public void setYfqyr(String yfqyr) 
    {
        this.yfqyr = yfqyr;
    }

    public String getYfqyr() 
    {
        return yfqyr;
    }
    public void setYkp(BigDecimal ykp) 
    {
        this.ykp = ykp;
    }

    public BigDecimal getYkp() 
    {
        return ykp;
    }
    public void setYsk(BigDecimal ysk) 
    {
        this.ysk = ysk;
    }

    public BigDecimal getYsk() 
    {
        return ysk;
    }
    public void setYhid(String yhid) 
    {
        this.yhid = yhid;
    }

    public String getYhid() 
    {
        return yhid;
    }
    public void setYhjc(String yhjc) 
    {
        this.yhjc = yhjc;
    }

    public String getYhjc() 
    {
        return yhjc;
    }
    public void setYhmc(String yhmc) 
    {
        this.yhmc = yhmc;
    }

    public String getYhmc() 
    {
        return yhmc;
    }
    public void setZh(String zh) 
    {
        this.zh = zh;
    }

    public String getZh() 
    {
        return zh;
    }
    public void setZxzt(String zxzt) 
    {
        this.zxzt = zxzt;
    }

    public String getZxzt() 
    {
        return zxzt;
    }
    public void setZgsjs(String zgsjs) 
    {
        this.zgsjs = zgsjs;
    }

    public String getZgsjs() 
    {
        return zgsjs;
    }
    public void setZzbm(String zzbm) 
    {
        this.zzbm = zzbm;
    }

    public String getZzbm() 
    {
        return zzbm;
    }
    public void setZc(BigDecimal zc) 
    {
        this.zc = zc;
    }

    public BigDecimal getZc() 
    {
        return zc;
    }
    public void setPici(String pici) 
    {
        this.pici = pici;
    }

    public String getPici() 
    {
        return pici;
    }
    public void setSqsj(Date sqsj) 
    {
        this.sqsj = sqsj;
    }

    public Date getSqsj() 
    {
        return sqsj;
    }
    public void setZfdh(String zfdh) 
    {
        this.zfdh = zfdh;
    }

    public String getZfdh() 
    {
        return zfdh;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bz", getBz())
            .append("bh", getBh())
            .append("bm", getBm())
            .append("cpxh", getCpxh())
            .append("dfk", getDfk())
            .append("dkp", getDkp())
            .append("dk", getDk())
            .append("dkhpdqrq", getDkhpdqrq())
            .append("dh", getDh())
            .append("fpbh", getFpbh())
            .append("fpbm", getFpbm())
            .append("fpkje", getFpkje())
            .append("fplx", getFplx())
            .append("fpnr", getFpnr())
            .append("fkfmc", getFkfmc())
            .append("gxsj", getGxsj())
            .append("gdbh", getGdbh())
            .append("gdrq", getGdrq())
            .append("htbh", getHtbh())
            .append("htfpjsyxdz", getHtfpjsyxdz())
            .append("htfpe", getHtfpe())
            .append("htje", getHtje())
            .append("htkzt", getHtkzt())
            .append("htlx", getHtlx())
            .append("htlxqk", getHtlxqk())
            .append("htmj", getHtmj())
            .append("htmc", getHtmc())
            .append("htqcr", getHtqcr())
            .append("htqdrq", getHtqdrq())
            .append("htrwid", getHtrwid())
            .append("htsl", getHtsl())
            .append("htys", getHtys())
            .append("htzgbm", getHtzgbm())
            .append("htzt", getHtzt())
            .append("htztsm", getHtztsm())
            .append("jf", getJf())
            .append("jfyhjc", getJfyhjc())
            .append("jfqyr", getJfqyr())
            .append("jd", getJd())
            .append("jeskzkp", getJeskzkp())
            .append("khx", getKhx())
            .append("kpsj", getKpsj())
            .append("kpzt", getKpzt())
            .append("khid", getKhid())
            .append("khlcbh", getKhlcbh())
            .append("lxr", getLxr())
            .append("lrsqr", getLrsqr())
            .append("pzh", getPzh())
            .append("qclrsqrq", getQclrsqrq())
            .append("qsrq", getQsrq())
            .append("qrwx", getQrwx())
            .append("rwbh", getRwbh())
            .append("rwmc", getRwmc())
            .append("rwskje", getRwskje())
            .append("sqrbm", getSqrbm())
            .append("skbh", getSkbh())
            .append("skkmdm", getSkkmdm())
            .append("sklx", getSklx())
            .append("sjly", getSjly())
            .append("sl", getSl())
            .append("sh", getSh())
            .append("ssxh", getSsxh())
            .append("wxdh", getWxdh())
            .append("wxhtbh", getWxhtbh())
            .append("wxlx", getWxlx())
            .append("xmmj", getXmmj())
            .append("fpxqsj", getFpxqsj())
            .append("xh", getXh())
            .append("yzbm", getYzbm())
            .append("ywy", getYwy())
            .append("ywybm", getYwybm())
            .append("yf", getYf())
            .append("yfqyr", getYfqyr())
            .append("ykp", getYkp())
            .append("ysk", getYsk())
            .append("yhid", getYhid())
            .append("yhjc", getYhjc())
            .append("yhmc", getYhmc())
            .append("zh", getZh())
            .append("zxzt", getZxzt())
            .append("zgsjs", getZgsjs())
            .append("zzbm", getZzbm())
            .append("zc", getZc())
            .append("pici", getPici())
            .append("sqsj", getSqsj())
            .append("zfdh", getZfdh())
            .toString();
    }
}
